Bug 170706 - Update valgrind to version 3.0 which adds 64-bit functionality
Update valgrind to version 3.0 which adds 64-bit functionality
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-10-13 17:00 EDT by Robert Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-14 04:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Jackson 2005-10-13 17:00:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Would it be possible to update FC4 valgrind to version 3.0 (as included in FC-devel)?

Version 3.0 adds support for 64-bit executables.  The current FC4 version 2.4 requires recompilation with -m32, which can mask 64-bit issues.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use FC4 x86_64
2. Build 64-bit application program.exe
3. valgrind --tool=memcheck --leak-check=yes --show-reachable=yes program.exe

Actual Results:  valgrind: wrong executable class (eg. 32-bit instead
valgrind: of 64-bit)
valgrind: do_exec(./detector.exe) failed: Exec format error

Expected Results:  valgrind to support 64-bit architecture

Additional info:
Comment 1 Jakub Jelinek 2005-10-14 04:06:44 EDT
I don't think that's a good idea.  valgrind 3.0.x has completely incompatible
API, so all programs using its programming API/ABI.  Valgrind 3.0.x+ will be only
in FC5+.

Note You need to log in before you can comment on or make changes to this bug.